%define pkg_name        Devel-Graph
%define pkg_version     0.11
%define rpm_pkg_version 0.11
%define rpm_pkg_release 1.n0i.3

Summary:       Turn Perl code into a Graph::Flowchart object
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TE/TELS/devel/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)
%if %{!?_without_test:1}0
BuildRequires: perl(Graph::Easy) >= 0.52
BuildRequires: perl(Graph::Flowchart) >= 0.10
BuildRequires: perl(PPI) >= 1.118
BuildRequires: perl(Scalar::Util) >= 1.13
BuildRequires: perl(Test::Differences) >= 0.47
BuildRequires: perl(Test::More) >= 0.42
%endif
Requires: perl(Scalar::Util) >= 1.13
Requires: perl(PPI) >= 1.118
Requires: perl(Graph::Flowchart) >= 0.10
Requires: perl(Graph::Easy) >= 0.52



%description
This module decomposes Perl code into blocks and generates a
Graph::Flowchart object out of these. The resulting object represents the
code in a flowchart manner and it can return you a Graph::Easy object.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF
%{fix_perl_path examples/}

%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES examples/ LICENSE README TODO


%changelog
* Sun Sep 16 2007 Marius Feraru <altblue@n0i.net> - 0.11-1.n0i.3
- version 0.11

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.10-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.10

* Tue Jul 25 2006 Marius Feraru <altblue@n0i.net> - 0.08-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.14.0
- rebuild on perl 5.8.8
